# Katabatic - Routing Toolbox

List of all members | Public Member Functions
AutoSegments_Perpandiculars Class Reference

All perpandicular AutoSegment to a set of aligneds. More...

Inheritance diagram for AutoSegments_Perpandiculars:
[legend]

## Public Member Functions
| AutoSegments_Perpandiculars (AutoSegment *master)
| AutoSegments_Perpandiculars (const AutoSegments_Perpandiculars &)
virtual AutoSegmentHC * | getClone () const
virtual AutoSegmentHL * | getLocator () const

## Detailed Description

All perpandicular AutoSegment to a set of aligneds.

A Collection to iterate over all the AutoSegment perpandicular to the set of aligned AutoSegment of `master`.

Remark: This Collection is canonical aware (work on the aligned set).

## Constructor & Destructor Documentation

## ◆ AutoSegments_Perpandiculars() [1/2]

AutoSegments_Perpandiculars | ( | AutoSegment * | master | ) |
| inline

Create a collection of all the AutoSegment perpandicular to the aligned set of `master`.

## ◆ AutoSegments_Perpandiculars() [2/2]

AutoSegments_Perpandiculars | ( | const AutoSegments_Perpandiculars & | autosegments | ) |
| inline

Copy constructor.

## Member Function Documentation

## ◆ getClone()

AutoSegmentHC * getClone | ( |  | ) | const
| virtual

Returns: A deep copy of the Collection.

Implements Collection< Type >.

## ◆ getLocator()

AutoSegmentHC * getLocator | ( |  | ) | const
| virtual

Returns: A deep copy of the Collection Locator.

Implements Collection< Type >.

The documentation for this class was generated from the following files:

- AutoSegments.h
- AutoSegments.dox

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Katabatic - Routing Toolbox | Copyright © 2008-2016 UPMC. All rights reserved